export const fiber: Fiber;
declare class Fiber {
    priority: number;
    scheduler: TimeoutScheduler;
    /**
     * @type {((task: any) => void)[]}
     */
    callbackList: ((task: any) => void)[];
    taskDriver: TaskDriver<any>;
    getPriority(): number;
    /**
     *
     * @param {function(any):void} fn
     */
    addCallback(fn: (arg0: any) => void): void;
    /**
     *
     * @param {function(any):void} fn
     */
    clearCallback(fn: (arg0: any) => void): void;
}
import { TimeoutScheduler } from "@comtstore/iterator-driver/dist/scheduler";
import { TaskDriver } from "@comtstore/iterator-driver/dist/driver";
export {};
